// packageC/entry_orders/wholesale_volume/wholesale_volume.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },
  gotoVolume_detail(e){
    console.log(e.currentTarget.dataset.id);
    var mid = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '/packageC/entry_orders/volume_detail/volume_detail?id=' + mid,
    });
  },
  gotoCoupon_exchange(){
    wx.navigateTo({
      url: '/packageC/entry_orders/coupon_exchange/coupon_exchange',
    });
  },
  goMeetingIndex(e){
    console.log('去获得记录');
    wx.navigateTo({
      url: '/packageC/entry_orders/coupon_exrecord/coupon_exrecord',
    });
  },
  streetClose(){
    wx.navigateBack({
      delta: 1
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    var that = this;
    console.log(that.data.current_page);
    console.log(that.data.last_page);
    if(that.data.current_page < that.data.last_page){
      wx.showLoading({
        title: '加载中',
        mask: true,
      });
      that.setData({
        page:that.data.page+1
      });
      // console.log(that.data.page)
      that.getNext(this.data.selected);
    }else{
      wx.showToast({
        title: '没有更多',
        icon: 'none'
      });
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  getData() {
    let that = this;
    var urlStr = app.getNetAddresss('plugin.pending-order.frontend.member-wholesale.index');
    app._getNetWork({
      url: urlStr,
      data:{
        page:this.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        console.log(res.data);
        that.setData({
          info: res.data.data,
          current_page: res.data.current_page,
          last_page: res.data.last_page
        });
      },
      fail: function (res) {
        console.log(res);
      }
    });
  },
  getNext(){
    let that = this;
    var urlStr = app.getNetAddresss('plugin.pending-order.frontend.member-wholesale.index');
    app._getNetWork({
      url: urlStr,
      data:{
        page:this.data.page
      },
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          if(res.data.current_page > res.data.last_page){
            wx.hideLoading();
            wx.showToast({
              title: '没有更多',
              icon: 'none'
            });
            that.setData({
              current_page: res.data.current_page,
              last_page: res.data.last_page
            });
            return;
          }else{
            wx.hideLoading();
            that.setData({
              info: that.data.info.concat(res.data.data),
              current_page: res.data.current_page,
              last_page: res.data.last_page
            });
          }
        }else{
          console.log('请求失败');
        }
      },
      fail: function (res) {
        console.log(res);
      }
    });
  }

});